Bug 89466 (Sidebar-Properties-Slide) - SIDEBAR: Slide and Page content panels in Properties tab in Impress/Draw
Summary: SIDEBAR: Slide and Page content panels in Properties tab in Impress/Draw
Status: NEW
Alias: Sidebar-Properties-Slide
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Rishabh
QA Contact:
URL:
Whiteboard: target:5.2.0 target:5.3.0 target:5.2....
Keywords:
Depends on: 99908
Blocks: Sidebar-Properties Sidebar-Properties-New-Content-Panels
  Show dependency treegraph
 
Reported: 2015-02-19 09:57 UTC by Yousuf Philips (jay)
Modified: 2017-05-03 10:03 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Slide Design tab of Calligra Stage (31.39 KB, image/png)
2015-02-25 21:49 UTC, Yousuf Philips (jay)
Details
iwork keynote document sidebar tab (196.77 KB, image/png)
2015-02-25 22:00 UTC, Yousuf Philips (jay)
Details
iwork keynote default sidebar (26.17 KB, image/png)
2015-03-22 18:02 UTC, Yousuf Philips (jay)
Details
presentation section mockup (25.52 KB, image/png)
2015-06-04 14:05 UTC, Yousuf Philips (jay)
Details
revised mockup (27.55 KB, image/png)
2015-06-05 05:56 UTC, Yousuf Philips (jay)
Details
revised mockup 2 (33.67 KB, image/png)
2015-06-05 15:15 UTC, Yousuf Philips (jay)
Details
revised mockup 3 (35.19 KB, image/png)
2015-06-05 16:52 UTC, Yousuf Philips (jay)
Details
backtrace (45.81 KB, text/plain)
2016-05-19 17:29 UTC, Yousuf Philips (jay)
Details
margin settings for Draw pages only available via Page Setup dialog (91.12 KB, image/png)
2016-08-08 13:26 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2015-02-19 09:57:03 UTC
It would be useful to be able to set various slide properties from the Properties tab of the sidebar. Slide properties are located in Format > Page and include things like the slide background color or image, slide format/size, etc.
Comment 1 Cor Nouws 2015-02-19 12:24:46 UTC
Hi Jay,
OK, and then offer when the Layout is active, or simultaneously with Text and Paragraph properties?
Ciao,
Cor
Comment 2 Yousuf Philips (jay) 2015-02-19 17:45:52 UTC
When the Layout section is active, which is only when nothing is selected on a slide.
Comment 3 Yousuf Philips (jay) 2015-02-25 21:49:15 UTC
Created attachment 113690 [details]
Slide Design tab of Calligra Stage

Just noticed that calligra stage has this in their sidebar under a background section which gives easy access to change the background color, image, as well as checkboxes to enable using the background from the master slide and whether to display shapes from the master slide.

Checking iwork keynote and it also labelled this section background and had background options for color fill, gradient fill, and image fill, followed by another untitled section with just a 'Edit Master Slide' button in it.
Comment 4 Yousuf Philips (jay) 2015-02-25 22:00:11 UTC
Created attachment 113691 [details]
iwork keynote document sidebar tab

Looking more at iwork keynote, it has a document sidebar tab with sections for slideshow settings (automatically play upon open, loop slideshow, restart show if idle for), presentation type, and slide size, which would useful to be included in a presentation section of the properties tab.
Comment 5 Yousuf Philips (jay) 2015-02-25 22:05:21 UTC
The presentation section would be hidden by default until a user wishes to see it as many users dont change these settings which are around in Slide Show > Slide Show Settings...
Comment 6 Yousuf Philips (jay) 2015-03-22 18:02:56 UTC
Created attachment 114249 [details]
iwork keynote default sidebar
Comment 7 Yousuf Philips (jay) 2015-06-04 14:05:34 UTC
Created attachment 116282 [details]
presentation section mockup

Here is a mockup. The image button on the right side of the background line is for inserting an image as the background image of the slide.
Comment 8 Yousuf Philips (jay) 2015-06-05 05:56:08 UTC
Created attachment 116293 [details]
revised mockup

Modified the mockup so a user could easily switch to a new master slide from the section and have renamed it 'Slide'.
Comment 9 Regina Henschel 2015-06-05 08:05:56 UTC
I think, you need two lists for the background, one for the kind of background (color, gradient, hatching, bitmap) and another for the actual colors e.g., same as the "Fill" part of the area properties.
Comment 10 Yousuf Philips (jay) 2015-06-05 14:07:33 UTC
Yes ideally it would have the same Fill part of the Area properties, which i had wanted to include there, but the Fill section requires a UI revamp (bug 90078) and hopefully when it is improved in the Area section it can be easily incorporated here. Users would likely be limited to adding a color, gradient or inserting a background image as a background and are less likely to use hatching and bitmap. I will come up with an improved mockup, which i believe should be easy for the GSoC student to create, which can later be improved on further.
Comment 11 Yousuf Philips (jay) 2015-06-05 15:15:43 UTC
Created attachment 116309 [details]
revised mockup 2

So here we have a background combobox which will contain 4 entries in it.

1) None - All color controls and comboboxes are disabled
2) Color - The first color control is enabled
3) Gradient - All color controls and comboboxes are enabled
4) Bitmap - All color controls and comboboxes are disabled

The 'Insert Image' button will always be enabled and when an image is inserted by it, 'Bitmap' is set in the background comobobox.

There is possibility that the gradient type combobox will not fit and if so, the default gradient used will be linear and the degree combobox will take its place. If the gradient type combobox will fit, then when values are set, Center X and Center Y will default to 50% rather than 0%.
Comment 12 Yousuf Philips (jay) 2015-06-05 16:52:14 UTC
Created attachment 116311 [details]
revised mockup 3

Forgot to include orientation combobox. :D

This section can also be used in Draw but renamed as 'Page' and 'Master Slide' would be renamed 'Master Page'.
Comment 13 Yousuf Philips (jay) 2015-06-07 08:50:11 UTC
As there is limited space after the color pick controls, it maybe better to use the background fill type combobox to set the gradient style.

1) None
2) Color
3) Gradient - Linear
4) Gradient - Radial
5) Bitmap

Then there would only be the gradient modifier combobox (one that is a similar control to the font size) that would contain angles when its on linear and contain center X/Y percentages when its on radial.
Comment 14 Yousuf Philips (jay) 2015-08-31 01:10:01 UTC
Would be useful to have a 'Page Number' checkbox to enable/disable the page number from appearing on the slide, so a user doesnt have to go into Insert > Page Number.
Comment 15 Commit Notification 2016-05-04 14:23:58 UTC
Rishabh Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=93b4bf647a5899f54ef51f8b4bfed0faa66b466e

tdf#89466: Slide Background tab

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2016-05-04 14:26:59 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e0dd123b3e6fa6e0bccff3bd1fbb132997d3266c

tdf#89466: Access to page setup dialog, alignment of labels

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2016-05-04 14:27:03 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c4170770def6abdfa4201101b8ca5fd7769135f2

tdf#89466: Give those slots a separate GetState method

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2016-05-04 14:27:06 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=49c876b0fc05e4172a422f067137c99443cced96

tdf#89466: Getting/setting page size works now

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Luke 2016-05-04 14:58:42 UTC
Instead of having a button for the user switch to the master slide, wouldn't it make more sense to have 2 buttons? 
"Apply to Current" and "Apply to Master". "Appl to Current" should only apply to the background fill to 1 slide, either a regular or a master slide. While "Apply to Master" applies it to all of the master slides.
Comment 20 Luke 2016-05-04 22:23:44 UTC
An even sleeker UI, would be for the fill to instantly apply to only the current slide, while the “Apply to Master” would apply to all slides in the presentation.
Comment 21 Commit Notification 2016-05-06 13:28:52 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d10c23705f30e55f36220a7d9bad86c0c53c66a

tdf#89466: Getting/setting page orientation works now

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2016-05-06 15:16:29 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=82573976439dea2db42b350356fa4747f38f7f24

tdf#89466: Don't reset page background on size/orientation change

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2016-05-06 16:33:59 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7848ba85695e715a8faaf40c22df133388da5d8c

tdf#89466: Getting/setting page background works now

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2016-05-07 12:40:22 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d7859f40b0b51c88ea78967ace3f62f76d9786c1

tdf#89466: Switching between different fill types work now

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2016-05-09 21:27:18 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c550c3eba08ef74f47bebe792a16791161006bcb

tdf#89466: Handle no background and bitmap case also in sidebar

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2016-05-11 11:15:58 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ad70397b7fa5af17c1769711ba80904b5543a7cd

tdf#89466: SvxFillTypeBox::Selected needs to be called

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Susobhan Ghosh 2016-05-12 12:06:18 UTC
There is one outstanding issue. The gradient options lets you choose two colors in the sidebar compared to one in slide background/properties dialog. To reproduce the problem, just select the two colors for a slide, and save the presentation. Upon reloading the saved file (close and reopen), one can see that the gradient is made of Black and White instead of the two colors. I tried opening the file with a LO 5.1, same Black and White. So, I believe the gradient data is not getting saved properly. The gradient options in the dialog save properly though.
Comment 28 Susobhan Ghosh 2016-05-16 09:57:39 UTC
(In reply to Yousuf (Jay) Philips from comment #8)
> Created attachment 116293 [details]
> revised mockup
> 
> Modified the mockup so a user could easily switch to a new master slide from
> the section and have renamed it 'Slide'.

Can you elaborate how would you want the Master slide option to work? Would it list all the Master slides available? If not, what should it offer the user?
Comment 29 Luke 2016-05-17 00:57:12 UTC
(In reply to Susobhan Ghosh from comment #28)
> (In reply to Yousuf (Jay) Philips from comment #8)
> > Created attachment 116293 [details]
> > revised mockup
> > 
> > Modified the mockup so a user could easily switch to a new master slide from
> > the section and have renamed it 'Slide'.
> 
> Can you elaborate how would you want the Master slide option to work? Would
> it list all the Master slides available? If not, what should it offer the
> user?

If you modify the background through the Format->Page->Background Menu, at the end it gives you the option to "Apply to All Pages", which effectively applies your change to the Master Slide. This is what the button should do. 

The workflow on the sidebar and menu should be as similar as possible or it will confuse the user.
Comment 30 Susobhan Ghosh 2016-05-17 07:59:23 UTC
(In reply to Luke from comment #29)
> (In reply to Susobhan Ghosh from comment #28)
> > (In reply to Yousuf (Jay) Philips from comment #8)
> > > Created attachment 116293 [details]
> > > revised mockup
> > > 
> > > Modified the mockup so a user could easily switch to a new master slide from
> > > the section and have renamed it 'Slide'.
> > 
> > Can you elaborate how would you want the Master slide option to work? Would
> > it list all the Master slides available? If not, what should it offer the
> > user?
> 
> If you modify the background through the Format->Page->Background Menu, at
> the end it gives you the option to "Apply to All Pages", which effectively
> applies your change to the Master Slide. This is what the button should do. 
> 
> The workflow on the sidebar and menu should be as similar as possible or it
> will confuse the user.

I'll be a little more specific. I cannot understand what the Master Slide Dropdown should contain. Should it list all the Master Slides? If not, then what should it list? And what do you expect from the Edit Slide Master button (a dialog should open? or something else?)
Comment 31 Yousuf Philips (jay) 2016-05-19 09:29:42 UTC
(In reply to Susobhan Ghosh from comment #28)
> Can you elaborate how would you want the Master slide option to work? Would
> it list all the Master slides available? If not, what should it offer the
> user?

Master slide would list the available master slides that the slide can be assigned to. The same list found when right-clicking the slide master name entry in the status bar and the same list found in the 'Used in This Presentation' content panel of the master pages sidebar deck/tab.
Comment 32 Yousuf Philips (jay) 2016-05-19 11:38:52 UTC
1) Changing the background through the drop down menu or clicking the insert image button causes a crash.

2) Changing orientation doesnt work.

3) Master slide drop down menu seems to already be functioning correctly.

4) The content panel isnt being updated when changing slides through the slides pane or through the keyboard shortcuts (pageup and pagedown).

Version: 5.2.0.0.alpha1+
Build ID: 389d8db4d90d427f886d06c3f7304ad973f0d39c
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-05-19_00:21:03
Locale: en-US (en_US.UTF-8)
Comment 33 Katarina Behrens (CIB) 2016-05-19 12:12:21 UTC
> 1) Changing the background through the drop down menu or clicking the insert
> image button causes a crash.

Works for me ... how old's your build?

> 2) Changing orientation doesnt work.

https://gerrit.libreoffice.org/#/c/24927/ addresses that 

> 3) Master slide drop down menu seems to already be functioning correctly.

Good to hear

> 4) The content panel isnt being updated when changing slides through the
> slides pane or through the keyboard shortcuts (pageup and pagedown).

https://gerrit.libreoffice.org/#/c/24927/ addresses that
Comment 34 Yousuf Philips (jay) 2016-05-19 12:16:59 UTC
(In reply to Katarina Behrens (CIB) from comment #33)
> > 1) Changing the background through the drop down menu or clicking the insert
> > image button causes a crash.
> 
> Works for me ... how old's your build?

Build was mentioned in comment 33. today's build.

Version: 5.2.0.0.alpha1+
Build ID: 389d8db4d90d427f886d06c3f7304ad973f0d39c
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-05-19_00:21:03
Locale: en-US (en_US.UTF-8)
Comment 35 Katarina Behrens (CIB) 2016-05-19 13:00:24 UTC
backtrace or it didn't happen
Comment 36 Yousuf Philips (jay) 2016-05-19 17:29:04 UTC
Created attachment 125175 [details]
backtrace

includes a backtrace for crash on inserting an image and a backtrace for changing the background drop down menu to 'color'
Comment 37 Luke 2016-05-23 06:06:39 UTC
(In reply to Yousuf (Jay) Philips from comment #31)
> (In reply to Susobhan Ghosh from comment #28)
> > Can you elaborate how would you want the Master slide option to work? Would
> > it list all the Master slides available? If not, what should it offer the
> > user?
> 
> Master slide would list the available master slides that the slide can be
> assigned to. The same list found when right-clicking the slide master name
> entry in the status bar and the same list found in the 'Used in This
> Presentation' content panel of the master pages sidebar deck/tab.

So when you only have 1 Master, it's like the "Apply to All Pages" button that I suggested, correct?
Comment 38 Commit Notification 2016-05-23 11:40:29 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=833088b18015381dc8f90e4e868f96b7e882334f

tdf#89466 Fix update of elements and add listener in slidebg

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 39 Yousuf Philips (jay) 2016-05-24 18:09:05 UTC
(In reply to Luke from comment #37)
> So when you only have 1 Master, it's like the "Apply to All Pages" button
> that I suggested, correct?

If you only had 1 master, you couldnt change the slide master, so all pages would have that same slide master. But if you could change the slide master, it would only affect the current slide, similar to the status bar.
Comment 40 Luke 2016-05-26 05:24:37 UTC
So it’s a status indicator and way to quickly to associate the current slide with one of the master layouts? If that’s the case, we’re missing a very common action when working with slide background, an “Apply to all.” At the end of a background edit in the menu workflow, you get the option to "Apply to All Pages". 

We need a button or dropdown to accomplish this same functionality on the sidebar.
Comment 41 Commit Notification 2016-06-16 08:10:27 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b0a9ba98ba83154680f8aea0fd0e58b85e2cfb04

tdf#86759 and tdf#89466: Enable Page Background Panel for Draw

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 42 Commit Notification 2016-06-18 09:22:05 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9579fa7bddc11deeb00474cad2203ac613c1c3f8&h=libreoffice-5-2

tdf#86759 and tdf#89466: Enable Page Background Panel for Draw

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 43 V Stuart Foote 2016-08-08 13:26:57 UTC
Created attachment 126672 [details]
margin settings for Draw pages only available via Page Setup dialog

@Susobhan, Jay, bubli

Could we please add a margins setting to the Draw/Impress Properties content panel (or even include a Page deck for *all* modules as originally suggested for bug 83830 and include it there).

As is the *only* way to set margins on a Drawing page is via the Page Properties dialog (menu: Format -> Page Properties, or context menu: Page -> Page Properties)--seems it would be useful to be handled from the Sidebar.

Resetting the margins to none is a very commonly required action when using Draw for illustration. Impress is not really affected, because few bother to set margins for Impress slides. But it must be done with every new illustration using Draw. Would be nice if as a module customization the margin setting is made persistent per-user profile (but that is another issue).

And if revisiting the panels for Draw similar to setting margins, resizing the canvas must also be done frequently.  Unfortunately the new Properties deck Page content panels "Format" drop down offers too few. The full listing from the Page Setup dialog's "Paper Format" has a more complete droplist for Format. Accessing those without having to use the dialog with Draw would be useful.
Comment 44 Yousuf Philips (jay) 2016-08-09 06:45:27 UTC
(In reply to V Stuart Foote from comment #43)
> Could we please add a margins setting to the Draw/Impress Properties content
> panel (or even include a Page deck for *all* modules as originally suggested
> for bug 83830 and include it there).

I remember speaking to people on irc about whether it would be useful and the result was the it would be useful for draw but not impress. I believe i mentioned that it should be done to susobhan, but cant confirm as my irc log file got corrupted after a crash.

> As is the *only* way to set margins on a Drawing page is via the Page
> Properties dialog (menu: Format -> Page Properties, or context menu: Page ->
> Page Properties)--seems it would be useful to be handled from the Sidebar.

Yes true.

> Resetting the margins to none is a very commonly required action when using
> Draw for illustration. Impress is not really affected, because few bother to
> set margins for Impress slides. But it must be done with every new
> illustration using Draw. Would be nice if as a module customization the
> margin setting is made persistent per-user profile (but that is another
> issue).

Yes that was one of the main reasons that i suggested it should be added, as some users would be creating printable drawings that would need margins, while others would be creating digital ones that dont need them. About having to do it for every illustration, a user should set these settings with a default template if they want it like that by default.

> And if revisiting the panels for Draw similar to setting margins, resizing
> the canvas must also be done frequently.  Unfortunately the new Properties
> deck Page content panels "Format" drop down offers too few. The full listing
> from the Page Setup dialog's "Paper Format" has a more complete droplist for
> Format. Accessing those without having to use the dialog with Draw would be
> useful.

Wasnt able to follow this as the Format drop down in Draw has the exact same entries as in the dialog. You do see the Page content panel in Draw right? If not, reset your user profile.
Comment 45 V Stuart Foote 2016-08-09 12:24:35 UTC
(In reply to Yousuf (Jay) Philips from comment #44)
> > And if revisiting the panels for Draw similar to setting margins, resizing
> > the canvas must also be done frequently.  Unfortunately the new Properties
> > deck Page content panels "Format" drop down offers too few. The full listing
> > from the Page Setup dialog's "Paper Format" has a more complete droplist for
> > Format. Accessing those without having to use the dialog with Draw would be
> > useful.
> 
> Wasnt able to follow this as the Format drop down in Draw has the exact same
> entries as in the dialog. You do see the Page content panel in Draw right?
> If not, reset your user profile.

Sorry, absolutely correct they're all there. I simply did not cursor advance--the two element view box (shows letter & legal my local) compared to the ten element box on the dialog tripped me up.
Comment 46 Commit Notification 2016-08-13 12:12:16 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=64ff7453408e578b95073db1740bfef4f500a2e4

tdf#89466 Add Master Slide and Close Master View button

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 47 Luke 2016-08-14 00:20:32 UTC
I love the Slide background options on the sidebar. It makes changing the background easy and instantly shows you the results. I also like how the drop down allows to quickly associate a slide with a master template. 
So for individual slides it works well, but this is the exception rather than the rule. Most of the time when people are working on background they want to apply it to one of the master templates. Here our new UI falls short. If you use the sidebar, there is no obvious way to apply your changes to one of the master templates. And if you go to the master slide view, these new sidebar features are disabled.( “The properties for this task are disabled”) 

Applying your background to the master slide or one of the master slides is the most common use case. A use familiar with our old dialog system will expect this option (“Apply to All Pages”). A user coming from PowerPoint or WPS Presentation(“Apply to All”), or Google Slides (“Apply to Theme). If I user uses our new sidebar system instead he will have change to master view, there he will have to use the old dialog boxes to reproduce his work that was so easy just done on the sidebar. Without an apply to all, it seems like we’re making things more complex.
Comment 48 Cor Nouws 2016-08-14 19:33:52 UTC
(In reply to Luke from comment #47)

> If you use the sidebar, there is no obvious way to apply your changes
> to one of the master templates. And if you go to the master slide view,
> these new sidebar features are disabled.( “The properties for this task are
> disabled”) 

I agree with that. Would be great to have the same function far master pages.
Comment 49 Yousuf Philips (jay) 2016-08-14 19:42:12 UTC
(In reply to Luke from comment #47)
> If you use the sidebar, there is no obvious way to apply your changes
> to one of the master templates. And if you go to the master slide view,
> these new sidebar features are disabled.( “The properties for this task are
> disabled”) 

This was noticed and is already implemented in Susobhan's commit in comment 46, which is available in master.
Comment 50 Luke 2016-08-15 22:07:58 UTC
The latest commit addresses part of the problem, but it does not solve the duplication issue. Unlike the old dialog system, PowerPoint, or Google Slides, if you make a change to the background and like what you see, you have to duplicate your work in the master slide view. Until this issue is addressed, the current sidebar system is a step backwards in usability for the most common use case.
Comment 51 Yousuf Philips (jay) 2016-08-16 09:08:25 UTC
The point of master slides is that you make the changes there and it shows up on all regular slides that are assigned to it, and not make the changes to regular slides and then go and duplicate it in the master slides. Or am i misunderstand your issue?
Comment 52 Luke 2016-08-17 09:35:12 UTC
(In reply to Yousuf (Jay) Philips from comment #51)
> The point of master slides is that you make the changes there and it shows
> up on all regular slides that are assigned to it, and not make the changes
> to regular slides and then go and duplicate it in the master slides. Or am i
> misunderstand your issue?

Yes, that is one way the master slide can be used. But NO, that is not how every other presentation application (including LO) works when it comes to backgrounds.

LibreOffice,  Powerpoint and WPS Presentation, and Google slides all recognize that after a user changes the background, the most common next step is to "Apply to All".

Our new sidebar feature allows you to change the background. But there is no obvious way to then apply that background to the master slide. So the user has to switch to the master slide and then redo all the work of setting up the background the way they like. 

Without an "Apply to All" button, our new sidebar UI is a step back in usability. It makes the most common use case much more work. It makes the new sidebar feature less useful than the old dialog system. 

If i'm not clear, please use PowerPoint or Google Slides. Set a  page background from a NORMAL slide(not the master). At the end of the process you always have the option to "Apply to All". 

Forcing the user to have to go into the master slide and redo their work is wrong.
Comment 53 Yousuf Philips (jay) 2016-08-20 08:35:25 UTC
(In reply to Luke from comment #52)
> LibreOffice,  Powerpoint and WPS Presentation, and Google slides all
> recognize that after a user changes the background, the most common next
> step is to "Apply to All".

So i tested all the other presentation apps and here is what i found.

Powerpoint: When you change the background style to one of the predefined styles available in the ribbon, it will apply the style to the master slide, but if you change the background style in the format background dialog, it only applies it to the current slide, unless you click the 'apply to all' button.

WPS: When you change the background in the Fill sidebar panel, it applies the change only to the current slide, but provides a button to 'apply to all' at the bottom of the sidebar to apply it to the master slide.

Google Slides: When changing the background in the background dialog, you can either change the background of just the current slide, or have the set background changed on the master slide, which they call theme.

> Without an "Apply to All" button, our new sidebar UI is a step back in
> usability. It makes the most common use case much more work. It makes the
> new sidebar feature less useful than the old dialog system. 

Yes in the scenario that a user is not using master slides to change once and apply everywhere, they would have to repeat the work in the master slide view. So an 'apply to all' button would be useful to change the background of all masters and an 'apply to current master' button would be useful to change it only on the assigned master.
Comment 54 Commit Notification 2016-08-20 13:48:31 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=62424100ce6db8e5f1ff5a8bbb587f8ca4c389fc

tdf#89466: Resize color and gradient controls to 150px

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 55 Cor Nouws 2016-08-21 20:24:40 UTC
(In reply to Yousuf (Jay) Philips from comment #53)

> Yes in the scenario that a user is not using master slides to change once
> and apply everywhere, they would have to repeat the work in the master slide
> view. So an 'apply to all' button would be useful to change the background
> of all masters and an 'apply to current master' button would be useful to
> change it only on the assigned master.

IMO "Apply to current master" would be enough. And is in any case most important.
Not sure if "Apply to all" is needed and not needlessly confusing.
Comment 56 Commit Notification 2016-08-22 10:44:28 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e2325c8e15a92fff2cffa45d30485a50428ac1bc

tdf#89466: Fix slide orientation

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 57 Yousuf Philips (jay) 2016-08-22 16:07:20 UTC
(In reply to Cor Nouws from comment #55)
> IMO "Apply to current master" would be enough. And is in any case most
> important.
> Not sure if "Apply to all" is needed and not needlessly confusing.

The current functionality of LO's dialog and all other apps is to "apply to all" master slides and i was suggested we have the additional "apply to current master". :D
Comment 58 Commit Notification 2016-08-23 05:45:28 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1b1d957aab2afd7f9b906d836824932777c61042&h=libreoffice-5-2

tdf#89466: Adjust alignment and add left and right margins

It will be available in 5.2.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 59 Cor Nouws 2016-08-23 11:39:08 UTC
(In reply to Yousuf (Jay) Philips from comment #57)

> The current functionality of LO's dialog and all other apps is to "apply to
> all" master slides and i was suggested we have the additional "apply to
> current master". :D

Ah,  current is "apply to all" slides (not master slides). And then additional "apply to current master". Fine.